Summary: Perl MD5 module
Name: perl-MD5
%define	version	1.7
Version: %{version}
Release: 3
Copyright: distributable
Group: Utilities/Text
Source0: ftp://ftp.perl.org//pub/CPAN/modules/by-module/MD5/MD5-%{version}.tar.gz
BuildRoot: /var/tmp/MD5-buildroot/
Requires: perl >= 5.004

%description
Provides access to the md5 algorithm from RSA.

%prep
%setup -n MD5-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/perl5/site_perl/MD5.pm
/usr/lib/perl5/site_perl/auto/MD5
/usr/lib/perl5/site_perl/*-linux/auto/MD5
/usr/lib/perl5/man/*/*

%changelog
* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- add %clean

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added the shared lib module to the package

* Sat Apr 11 1998 Bryan C. Andregg <bandregg@redhat.com>
- First build.
